import { JavaObject } from '../../../java/lang/JavaObject';
export declare class ENMLehrer extends JavaObject {
    id: number;
    kuerzel: String | null;
    nachname: String | null;
    vorname: String | null;
    eMailDienstlich: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): ENMLehrer;
    static transpilerToJSON(obj: ENMLehrer): string;
    static transpilerToJSONPatch(obj: Partial<ENMLehrer>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_enm_ENMLehrer(obj: unknown): ENMLehrer;
